Create Key
Generate a new license key with custom limits, features, and optionally assign a customer.
Authorization header.Parameters
Use a unique value to safely retry this request without repeating its effects.
<IDEMPOTENCY-KEY>Request Body (application/json)
Optional: List of authorized machine IDs for node-locked licenses
Maximum number of allowed activations for the key. Whole JSON numbers are accepted and coerced.
Optional: ID of an existing customer to assign the license key to. Cannot be used together with newCustomer.
Optional: Details for creating a new customer and assigning the license key to them. Cannot be used together with customerId.
Arbitrary key-value pairs (e.g., is_trial, features)
Optional: The ID of a specific product version to strictly associate with this license key upon creation
Accepted by the schema, but the current REST service generates one license key per request. Whole JSON numbers are accepted and coerced.
Optional: Expiration date for the license key(s)
Custom configuration for generated license keys
Optional: Type of license key to create
Optional: Maximum concurrent floating sessions (seats) allowed. Required if licenseType is floating.
Optional: Frequency (in seconds) that clients should send heartbeats to keep the lease active.
Optional: Duration (in seconds) before a floating session lease is automatically marked expired.
Responses
Response Body (200)
Authorized machine IDs for node‑locked licenses
Arbitrary key-value pairs (or null if none)